# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`ipmi`](#ipmi): == Class: ipmi  Please refer to https://github.com/jhoblitt/puppet-ipmi#usage for parameter documentation.
* [`ipmi::params`](#ipmiparams): == Class: ipmi::params  This class should be considered private.

**Defined types**

* [`ipmi::network`](#ipminetwork): == Defined resource type: ipmi::network
* [`ipmi::snmp`](#ipmisnmp): == Defined resource type: ipmi::snmp
* [`ipmi::user`](#ipmiuser): == Defined resource type: ipmi::user

## Classes

### ipmi

== Class: ipmi

Please refer to https://github.com/jhoblitt/puppet-ipmi#usage for
parameter documentation.

#### Parameters

The following parameters are available in the `ipmi` class.

##### `ensure`

Data type: `Enum[present, absent]`



Default value: present

##### `ipmievd_service_ensure`

Data type: `Enum[running, stopped]`



Default value: stopped

##### `watchdog`

Data type: `Boolean`



Default value: `false`

##### `users`

Data type: `Array[Hash]`



Default value: []

##### `purge_users`

Data type: `Boolean`



Default value: `false`

##### `foreman_user`

Data type: `Variant[Boolean, Enum[optional]]`



Default value: `false`

##### `foreman_user_privilege`

Data type: `Integer[1, 4]`



Default value: 4

##### `network`

Data type: `Optional[Hash]`



Default value: `undef`

##### `snmp`

Data type: `Optional[String]`



Default value: `undef`

### ipmi::params

== Class: ipmi::params

This class should be considered private.

## Defined types

### ipmi::network

== Defined resource type: ipmi::network

#### Parameters

The following parameters are available in the `ipmi::network` defined type.

##### `ip`

Data type: `Stdlib::IP::Address::V4::Nosubnet`



Default value: '0.0.0.0'

##### `netmask`

Data type: `Stdlib::IP::Address::V4::Nosubnet`



Default value: '255.255.255.0'

##### `gateway`

Data type: `Stdlib::IP::Address::V4::Nosubnet`



Default value: '0.0.0.0'

##### `type`

Data type: `Enum[dhcp, static]`



Default value: dhcp

##### `channel`

Data type: `Integer[1]`



Default value: 1

### ipmi::snmp

== Defined resource type: ipmi::snmp

#### Parameters

The following parameters are available in the `ipmi::snmp` defined type.

##### `snmp`

Data type: `String`



Default value: 'public'

##### `channel`

Data type: `Integer[1]`



Default value: 1

### ipmi::user

== Defined resource type: ipmi::user

#### Parameters

The following parameters are available in the `ipmi::user` defined type.

##### `id`

Data type: `Integer[1]`



##### `ensure`

Data type: `Enum[present, enabled, absent, disabled]`



Default value: present

##### `username`

Data type: `String`



Default value: $title

##### `password`

Data type: `Optional[String]`



Default value: `undef`

##### `privilege`

Data type: `Integer[1, 4]`



Default value: 4

##### `channel`

Data type: `Integer[1]`



Default value: 1

